package com.hd.live.wall.wallpapers.retrofitman;

import okhttp3.Interceptor;
import okhttp3.Response;

import java.io.IOException;

public class myInterceptor implements Interceptor {

    private final ResBody.ProgressListener progressListener;

    public myInterceptor(ResBody.ProgressListener progressListener) {
        this.progressListener = progressListener;
    }

    @Override
    public Response intercept(Chain chain) throws IOException {
        Response originalResponse = chain.proceed(chain.request());
        String fileLength = originalResponse.header("File-Length");
        if (fileLength == null) {
            fileLength = "0";
        }
        return originalResponse.newBuilder()
                .body(new ResBody(originalResponse.body(), fileLength, progressListener))
                .build();
    }
}

